Page MenuHomePhabricator

cloudvps: multimedia project trusty deprecation
Closed, ResolvedPublic

Description

Ubuntu Trusty is no longer available in Cloud VPS since Nov 2017 for new instances. However, the EOL of Trusty is approaching in 2019 and we need to move to Debian Stretch before that date.

All instances in the multimedia project needs to upgrade as soon as possible.

The list of affected VMs is:

  • mediaviewer.multimedia.eqiad.wmflabs

Listed administrator are:

More info in openstack browser: https://tools.wmflabs.org/openstack-browser/project/multimedia

Event Timeline

Krenair triaged this task as Medium priority.Sep 17 2018, 12:42 PM
Krenair created this task.

Hey @Bawolff @coren @csteipp @dduvall @Esanders @Tgr @Gilles @MarkTraceur @valhallasw @Pginer-WMF! Just a friendly reminder that you should get rid of your Trusty instances as described in https://wikitech.wikimedia.org/wiki/News/Trusty_deprecation#Cloud_VPS_projects. The deadline is 2018-12-18. Please get in contact if you need help. Also please assign this task to an individual.

Another ping. Deadline is approaching next month (2018-12-18).

Ping. Today is Friday and the deadline is Tuesday.

Tgr added a comment.Dec 18 2018, 1:23 AM

The access list is mostly members of the old Multimedia team which doesn't exist anymore (and does not have much overlap with the current one), so that's probably the reason people don't care.

Krenair added a subscriber: Harej.Dec 18 2018, 1:34 AM

Yeah, this is not the only project in such a situation, there is a reason this sort of project (team-scope) would not be permitted today :)
The project was marked in use by @Harej 2018-09-21 (https://wikitech.wikimedia.org/w/index.php?title=News/Cloud_VPS_2018_Purge&diff=prev&oldid=1803812), it'd be good to know who is using it, how (it has no floating IPs and the only proxy appears to be broken), and whether they can maintain it.

Tgr added a comment.Dec 18 2018, 2:26 AM

I seem to be the only user on that machine (with a home dir at least) and I have last used it in 2015 so I'm pretty sure it's fine to kill it. Not sure about the multimedia project itself (AIUI that's what got marked active, not the box), maybe the current Multimedia team wants to keep it. Not sure team-scope has much significance here, if the project was called mediaviewer that would not make its life cycle more defined.

Yes it's possible there was a second instance running at the time it got it marked in use, which was since removed. If an instance is no longer in use then please delete it.

Tgr added a comment.Dec 18 2018, 2:37 AM

Deleted.

Yes it's possible there was a second instance running at the time it got it marked in use, which was since removed.

Or maybe they just want to hold on to the empty project, in case they need an instance in the future. Having to wait up to a week for project creation when you need a VM for something is annyoing enough that as far as I have seen all teams try to do that.

Andrew closed this task as Resolved.Dec 18 2018, 3:35 AM
Andrew claimed this task.
Andrew added a subscriber: Andrew.

Thanks @Tgr! I've deleted this project; we can create new ones as needed.